Skip to main content
`Ctrl`+`K`

# DSViewFromOptions

View (print) a `DS` object based on values in the options database.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSViewFromOptions(DS ds,PetscObject obj,const char name[])

Collective

## Input Parameters

- ds - the direct solver context

- obj - optional object that provides the options prefix used to query the options database

- name - command line option

## See Also

DS: Direct Solver (or Dense System), `DSView()`, `DSCreate()`, `PetscObjectViewFromOptions()`

## Level

intermediate

## Location

src/sys/classes/ds/interface/dsbasic.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages